Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class DateField

    java.lang.Object
      nextapp.echo2.app.Component
          echopointng.ComponentEx
              echopointng.AbleComponent
                  echopointng.PopUp
                      echopointng.DropDown
                          echopointng.DateField

All Implemented Interfaces:
  AccessKeyable, Attributeable, Borderable, Delegateable, Expandable, Heightable, Insetable, MouseCursorable, Sizeable, ToolTipable, Widthable, java.io.Serializable, RenderIdSupport

    public class DateField

extends DropDown

`DateField` is a drop down component that contains a text field and a drop down calendar. The text field is updated with the contents of the DateField calendar.

See Also:
  Serialized Form

Field Summary
`static Style` | `DEFAULT_TEXT_FIELD_STYLE` The default appearance of the TextField component with the DateField

Fields inherited from class echopointng.DropDown
`DEFAULT_ALIGNMENT, DEFAULT_STYLE`

Fields inherited from class echopointng.PopUp
`DEFAULT_TOGGLE_ICON, DEFAULT_TOGGLE_PRESSED_ICON, DEFAULT_TOGGLE_ROLLOVER_ICON, PROPERTY_POPUP, PROPERTY_POPUP_ALIGNMENT, PROPERTY_POPUP_ALWAYS_ON_TOP, PROPERTY_POPUP_BACKGROUND, PROPERTY_POPUP_BORDER, PROPERTY_POPUP_INSETS, PROPERTY_POPUP_LEFT_OFFSET, PROPERTY_POPUP_NEXT_TO_TOGGLE, PROPERTY_POPUP_ON_ROLLOVER, PROPERTY_POPUP_OUTSETS, PROPERTY_POPUP_TOP_OFFSET, PROPERTY_ROLLOVER_BACKGROUND, PROPERTY_ROLLOVER_BORDER, PROPERTY_ROLLOVER_ENABLED, PROPERTY_TARGET, PROPERTY_TARGET_BACKGROUND, PROPERTY_TARGET_BORDER, PROPERTY_TARGET_INSETS, PROPERTY_TARGET_ROLLOVER_BACKGROUND, PROPERTY_TARGET_ROLLOVER_BORDER, PROPERTY_TOGGLE_BACKGROUND, PROPERTY_TOGGLE_BORDER, PROPERTY_TOGGLE_ICON, PROPERTY_TOGGLE_INSETS, PROPERTY_TOGGLE_PRESSED_BACKGROUND, PROPERTY_TOGGLE_PRESSED_BORDER, PROPERTY_TOGGLE_PRESSED_ENABLED, PROPERTY_TOGGLE_PRESSED_ICON, PROPERTY_TOGGLE_ROLLOVER_BACKGROUND, PROPERTY_TOGGLE_ROLLOVER_BORDER, PROPERTY_TOGGLE_ROLLOVER_ICON`

Fields inherited from class echopointng.ComponentEx
`PROPERTY_HIDDEN`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Fields inherited from interface echopointng.able.Expandable
`EXPANDED_CHANGED_PROPERTY, PROPERTY_EXPANSION_GROUP, PROPERTY_EXPANSION_MODEL`

Fields inherited from interface echopointng.able.AccessKeyable
`PROPERTY_ACCESS_KEY`

Fields inherited from interface echopointng.able.Borderable
`PROPERTY_BORDER`

Fields inherited from interface echopointng.able.MouseCursorable
`CURSOR_AUTO, CURSOR_CROSSHAIR, CURSOR_CUSTOM_URI, CURSOR_DEFAULT, CURSOR_E_RESIZE, CURSOR_HELP, CURSOR_MOVE, CURSOR_N_RESIZE, CURSOR_NE_RESIZE, CURSOR_NW_RESIZE, CURSOR_POINTER, CURSOR_S_RESIZE, CURSOR_SE_RESIZE, CURSOR_SW_RESIZE, CURSOR_TEXT, CURSOR_W_RESIZE, CURSOR_WAIT, PROPERTY_MOUSE_CURSOR, PROPERTY_MOUSE_CURSOR_URI`

Fields inherited from interface echopointng.able.Insetable
`DEFAULT_INSETS, DEFAULT_OUTSETS, PROPERTY_INSETS, PROPERTY_OUTSETS`

Fields inherited from interface echopointng.able.Widthable
`PROPERTY_WIDTH`

Fields inherited from interface echopointng.able.Heightable
`PROPERTY_HEIGHT`

Fields inherited from interface echopointng.able.ToolTipable
`PROPERTY_TOOL_TIP_TEXT`

Constructor Summary
`DateField()` Constructs a `DateField` with the date format as `DateFormat.getDateInstance()` and the current date via `Calendar.getInstance()`.
`DateField(java.util.Calendar startDate)` Constructs a `DateField` with the date format as `DateFormat.getDateInstance()` and the specified `startDate`.

Method Summary
`DateChooser` | `getDateChooser()`
`java.text.DateFormat` | `getDateFormat()`
`java.util.Calendar` | `getDisplayedDate()` A shortcurt method to the underlying DateChooser's model getDisplayedDate() method.
`CalendarSelectionModel` | `getModel()` Short hand method for `getDateChooser().getModel().`
`java.util.Calendar` | `getSelectedDate()` A shortcurt method to the underlying DateChooser's model getSelectedDate() method.
`java.lang.String` | `getText()` Returns the text of the `DateField`'s TextField.
`TextField` | `getTextField()`
`boolean` | `isUpdateFromTextField()`
`void` | `processInput(java.lang.String inputName, java.lang.Object inputValue)` Processes client input specific to the `Component` received from the `UpdateManager`.
`void` | `setDateChooser(DateChooser newValue)`
`void` | `setDateFormat(java.text.DateFormat newValue)`
`void` | `setDisplayedDate(java.util.Calendar newDisplayedDate)` Sets the displayed date within the `DateChooser`'s model.
`void` | `setModel(CalendarSelectionModel newValue)` Sets the CalendarSelectionModel to be used on the underlying DateChooser component.
`void` | `setSelectedDate(java.util.Calendar newSelectedDate)` Sets the selected date within the `DateChooser`'s model.
`void` | `setTextField(TextField newValue)`
`void` | `setUpdateFromTextField(boolean newValue)` Set to true, the Datefield will update the CalendarSelectionModel when changes are made to the TextField.
`protected void` | `updateDateFromText()` Called to update the calendar selection model from the current text field contents.
`protected void` | `updateTextFromDate()` Called to update the text field from the current calendar selection model.
`void` | `validate()` A life-cycle method invoked before the component is rendered to ensure it is in a valid state.

Methods inherited from class echopointng.PopUp
`getExpansionGroup, getExpansionModel, getPopUp, getPopUpAlignment, getPopUpAlwaysOnTop, getPopUpBackground, getPopUpBorder, getPopUpInsets, getPopUpLeftOffset, getPopUpOutsets, getPopUpTopOffset, getRolloverBackground, getRolloverBorder, getTarget, getTargetBackground, getTargetBorder, getTargetInsets, getTargetRolloverBackground, getTargetRolloverBorder, getToggleBackground, getToggleBorder, getToggleIcon, getToggleInsets, getTogglePressedBackground, getTogglePressedBorder, getTogglePressedIcon, getToggleRolloverBackground, getToggleRolloverBorder, getToggleRolloverIcon, isExpanded, isPopUpNextToToggle, isPopUpOnRollover, isRolloverEnabled, isTogglePressedEnabled, setExpanded, setExpansionGroup, setExpansionModel, setPopUp, setPopUpAlignment, setPopUpAlwaysOnTop, setPopUpBackground, setPopUpBorder, setPopUpInsets, setPopUpLeftOffset, setPopUpNextToToggle, setPopUpOnRollover, setPopUpOutsets, setPopUpTopOffset, setRolloverBackground, setRolloverBorder, setRolloverEnabled, setTarget, setTargetBackground, setTargetBorder, setTargetInsets, setTargetRolloverBackground, setTargetRolloverBorder, setToggleBackground, setToggleBorder, setToggleIcon, setToggleInsets, setTogglePressedBackground, setTogglePressedBorder, setTogglePressedEnabled, setTogglePressedIcon, setToggleRolloverBackground, setToggleRolloverBorder, setToggleRolloverIcon`

Methods inherited from class echopointng.AbleComponent
`getAccessKey, getBorder, getHeight, getInsets, getMouseCursor, getMouseCursorURI, getOutsets, getToolTipText, getWidth, setAccessKey, setBorder, setHeight, setInsets, setMouseCursor, setMouseCursorURI, setOutsets, setToolTipText, setWidth`

Methods inherited from class echopointng.ComponentEx
`getAttribute, getAttributeNames, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, isHidden, setAttribute, setHidden, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### DEFAULT_TEXT_FIELD_STYLE

    public static final Style DEFAULT_TEXT_FIELD_STYLE

  The default appearance of the TextField component with the DateField

Constructor Detail

### DateField

    public DateField()

  Constructs a `DateField` with the date format as `DateFormat.getDateInstance()` and the current date via `Calendar.getInstance()`.

### DateField

    public DateField(java.util.Calendar startDate)

  Constructs a `DateField` with the date format as `DateFormat.getDateInstance()` and the specified `startDate`.

Method Detail

### processInput

    public void processInput(java.lang.String inputName,
                             java.lang.Object inputValue)

  Description copied from class: `Component`
  Processes client input specific to the `Component` received from the `UpdateManager`. Derivative implementations should take care to invoke `super.processInput()`.

  Overrides:
    `processInput` in class `PopUp`
  Parameters:
    `inputName` - the name of the input
    `inputValue` - the value of the input
  See Also:
    `PopUp.processInput(java.lang.String, java.lang.Object)`

### getDateChooser

    public DateChooser getDateChooser()

  Returns:
    Returns the dateChooser.

### getDateFormat

    public java.text.DateFormat getDateFormat()

  Returns:
    Returns the dateFormat.

### getDisplayedDate

    public java.util.Calendar getDisplayedDate()

  A shortcurt method to the underlying DateChooser's model getDisplayedDate() method.

  Returns:
    The currently displayed date.

### getModel

    public CalendarSelectionModel getModel()

  Short hand method for `getDateChooser().getModel().`

  Returns:
    the CalendarSelectionModel used by the underlying DateChooser.

### getSelectedDate

    public java.util.Calendar getSelectedDate()

  A shortcurt method to the underlying DateChooser's model getSelectedDate() method.

  Returns:
    The currently selected date

### getTextField

    public TextField getTextField()

  Returns:
    Returns the textField.

### getText

    public java.lang.String getText()

  Returns the text of the `DateField`'s TextField.

  Returns:
    the text of the `DateField`'s TextField.

### isUpdateFromTextField

    public boolean isUpdateFromTextField()

  Returns:
    true if the Datefield will update the CalendarSelectionModel when changes are made to the TextField.

### setDateChooser

    public void setDateChooser(DateChooser newValue)

  Parameters:
    `newValue` - - The new DateChooser to use.

### setDateFormat

    public void setDateFormat(java.text.DateFormat newValue)

  Parameters:
    `newValue` - - The dateFormat to set.

### setDisplayedDate

    public void setDisplayedDate(java.util.Calendar newDisplayedDate)

  Sets the displayed date within the `DateChooser`'s model.

  Parameters:
    `newDisplayedDate` - - the new displayed date

### setModel

    public void setModel(CalendarSelectionModel newValue)

  Sets the CalendarSelectionModel to be used on the underlying DateChooser component.

  Parameters:
    `newValue` - - The new CalendarSelectionModel to use

### setSelectedDate

    public void setSelectedDate(java.util.Calendar newSelectedDate)

  Sets the selected date within the `DateChooser`'s model.

  This will also have the effect og setting the text of the `TextField` since the DateField is listening to the udnerlying `CalendarSelectionModel`.

  Parameters:
    `newSelectedDate` - - the new selected date

### setTextField

    public void setTextField(TextField newValue)

  Parameters:
    `newValue` - - The textField to set.

### setUpdateFromTextField

    public void setUpdateFromTextField(boolean newValue)

  Set to true, the Datefield will update the CalendarSelectionModel when changes are made to the TextField.

  Parameters:
    `newValue` - - true or false

### updateDateFromText

    protected void updateDateFromText()

  Called to update the calendar selection model from the current text field contents. Only works if `isUpdateFromTextField()` currently returns true.

### updateTextFromDate

    protected void updateTextFromDate()

  Called to update the text field from the current calendar selection model. This uses the current date format to process the models selected date.

### validate

    public void validate()

  Description copied from class: `Component`
  A life-cycle method invoked before the component is rendered to ensure it is in a valid state. Default implementation is empty. Overriding implementations should ensure to invoke `super.validate()` out of convention.

  Overrides:
    `validate` in class `PopUp`
  See Also:
    `Component.validate()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD